billiard (4.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Mark python3-billiard Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Sep 2025 20:05:29 +0100

billiard (4.2.1-3) unstable; urgency=medium

  * Team upload.
  * Use pybuild-plugin-pyproject.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Aug 2025 18:16:03 +0100

billiard (4.2.1-2) unstable; urgency=medium

  * Team upload.
  * Copy `code.co_qualname` on Python >= 3.11 (thanks, Rebecca N. Palmer;
    closes: #1101621).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Apr 2025 15:56:55 +0100

billiard (4.2.1-1) unstable; urgency=low

  * New upstream version 4.2.1
  * Bump Standards-Version to 4.7.0.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Mon, 14 Oct 2024 14:25:13 +0000

billiard (4.2.0-3) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-case

 -- Alexandre Detiste <tchet@debian.org>  Wed, 15 May 2024 01:23:35 +0200

billiard (4.2.0-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Mar 2024 22:59:12 +0100

billiard (4.2.0-1) unstable; urgency=low

  * New upstream version 4.2.0
  * Refresh patches.
  * Add patch to remove distutils code in preparation for Python 3.12.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 29 Nov 2023 18:08:26 +0000

billiard (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.
  * d/changelog: Mark last entry as "Team upload".

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 24 Dec 2022 00:01:53 -0500

billiard (4.0.2-3) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Apply multi-arch hints. + python-billiard-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 18:58:36 +0100

billiard (4.0.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:33:49 +0100

billiard (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Use github.com in d/watch.
  * Clean up billiard.egg-info/* to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Sep 2022 10:36:37 +0000

billiard (4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.1.0.
  * Update year in d/copyright.
  * Drop patches for issues fixed by upstream.
  * Refresh patches.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Thu, 30 Jun 2022 07:17:35 +0000

billiard (3.6.4.0-2) unstable; urgency=medium

  * Clean up billiard.egg-info/PKG-INFO to allow two builds in a row.
  * Bump Standards-Version to 4.6.0.1.
  * Add patch to fix invalid syntax in sphinx configuration (Closes:
    #997654).
  * Run tests in build directory instead of source directory.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Thu, 28 Oct 2021 11:40:43 +0000

billiard (3.6.4.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Sun, 15 Aug 2021 13:42:17 +0000

billiard (3.6.3.0-2) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Michael Fladischer ]
  * Add upstream patch to fix Python 3.9 FTBFS (Closes: #975776).
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.1.
  * Set Rules-Requires-Root: no.
  * Use uscan version 4.
  * Remove unused upstream signing key.
  * Add Repository* fields to d/upstream/metadata.
  * Remove debian/upstream-signing-key.pgp from include-binaries, no
    longer used.

 -- Michael Fladischer <fladi@debian.org>  Wed, 09 Dec 2020 18:37:55 +0100

billiard (3.6.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sergio Durigan Junior ]
  * New upstream version 3.6.3.0
  * Bump Standards-Version to 4.5.0.
  * Add myself to the list of Uploaders.
  * Update override_dh_auto_test rule to use "py.test-3".

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 14 Mar 2020 01:08:51 -0400

billiard (3.6.1.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Clean up pytest artifacts to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Fri, 13 Sep 2019 12:41:21 +0200

billiard (3.6.0.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 09 Aug 2019 00:46:31 +0500

billiard (3.6.0.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add python(3)-psutil to Build-Depends as it is used in tests.
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compatibility and version to 12.
  * Add hardening maintainer flags to debian/rules.

 -- Michael Fladischer <fladi@debian.org>  Sun, 10 Feb 2019 16:10:28 +0100

billiard (3.5.0.5-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Disable PGP signature check in uscan as upstream is not providing a
    signature for current releases.
  * Clean up files in .pytest_cache/ to allow two builds in a row.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Mon, 17 Dec 2018 14:46:30 +0100

billiard (3.5.0.4-1) unstable; urgency=low

  [ Thomas Bechtold ]
  * Remove myself from Uploaders

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Replace debian/upstream-signing-key.pgp with debian/upstream/signing-
    key.asc.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.5.
  * Install README.rst for python3-billiard package.
  * Replace python(3)-nose with python(3)-pytest for tests during
    package build.
  * Add python(3)-case to Build-Depends to satisfy test requirements.
  * Clean up .pytest_cache/v/cache/nodeids during builds.
  * Build documentation in override_dh_sphinxdoc.
  * Enable autopkgtest-pkg-python testsuite.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Tue, 07 Aug 2018 10:59:31 +0200

billiard (3.5.0.3-1) unstable; urgency=low

  * New upstream release.
  * Add new upstream signing key.
  * Refresh patches for 3.5.0.3.
  * Use https:// for copyright-format 1.0 URL.
  * Update d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 30 Jul 2017 20:54:52 +0200

billiard (3.5.0.2-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version to 4.0.0.

 -- Brian May <bam@debian.org>  Thu, 13 Jul 2017 08:13:15 +1000

billiard (3.3.0.23-2) unstable; urgency=medium

  * Fix up git repository so that Debian release is in the Master branch.
  * Fix Git-Vcs header.

 -- Brian May <bam@debian.org>  Sun, 17 Apr 2016 18:37:53 +1000

billiard (3.3.0.23-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.7.
  * Use https in Vcs-Git field.
  * Use python3-sphinx to build documentation.

 -- Michael Fladischer <fladi@debian.org>  Thu, 31 Mar 2016 11:21:37 +0200

billiard (3.3.0.22-1) unstable; urgency=low

  * New upstream release.
  * Add a patch to fix a typo in multiprocessing.c.

 -- Michael Fladischer <fladi@debian.org>  Sun, 20 Dec 2015 09:14:15 +0100

billiard (3.3.0.21-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 19 Nov 2015 08:30:26 +1100

billiard (3.3.0.20-3) unstable; urgency=medium

  * Clean up debian/rules.
  * Ensure Python3 tests run.
  * Fix FTBFS error. Closes: #804137.

 -- Brian May <bam@debian.org>  Fri, 06 Nov 2015 09:09:53 +1100

billiard (3.3.0.20-2) unstable; urgency=medium

  * Team upload.

  [ SVN-Git Migration ]
  * Added git-dpm
  * Update Vcs fields for git migration

  [ Scott Kitterman ]
  * Convert python3-billiard from arch any to arch all since binary extension
    builds are disabled for python3 and adjust build-depends accordingly
    (Closes: #799182)
  * Add dh-python to build-depends to ensure the most recent version is used

 -- Scott Kitterman <scott@kitterman.com>  Wed, 14 Oct 2015 08:49:37 -0400

billiard (3.3.0.20-1) unstable; urgency=medium

  * New upstream release.
  * Drop remove-nose-cover3.patch as it was included upstream.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 14:31:52 +0200

billiard (3.3.0.19-1) unstable; urgency=medium

  * New upstream release.
  * Drop billiard/_connection.py from Files section as it is no longer
    part of the upstream source.
  * Use pypi.debian.net service for uscan.
  * Bump Standards-Version to 3.9.6.
  * Refresh patches.
  * Add DEP-3 header to hurd.patch.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 07:45:38 +0200

billiard (3.3.0.18-2) unstable; urgency=low

  * Add patch to fix build on hurd-i386. Closes: #753836.

 -- Brian May <bam@debian.org>  Mon, 18 Aug 2014 13:51:41 +1000

billiard (3.3.0.18-1) unstable; urgency=low

  * New upstream release.
  * Remove gnukfreebsd.patch as it was included upstream.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 14 Aug 2014 15:06:09 +0200

billiard (3.3.0.17-2) unstable; urgency=medium

  * Add gnukfreebsd.patch to make setup.py recognize GNU/kFreeBSD as a
    FreeBSD platform (Closes: #747441).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sat, 14 Jun 2014 20:41:08 +0200

billiard (3.3.0.17-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 23 Apr 2014 12:08:06 +0200

billiard (3.3.0.16-1) unstable; urgency=medium

  * New upstream release.
  * Enable tests during build (Closes: #735201).
  * Enable Python3 support with python3-billiard.
  * Extend remove-nose-cover3.patch to also remove nose-cover3 from funtests
    package.
  * Check PGP signature on upstream tarball:
    + Add signature URL to debian/watch.
    + Include upstream public PGP key 030A2708.
    + Allow debian/upstream-signing-key.pgp to be included as a binary.
  * Remove .PHONY declarations from debian/rules.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 09 Apr 2014 09:52:00 +0200

billiard (3.3.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Drop exclude_funtests_package.patch, as it is no longer needed.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 11 Feb 2014 11:55:10 +0100

billiard (3.3.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards version to 3.9.5.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sun, 15 Dec 2013 18:53:18 +0100

billiard (2.7.3.34-2) unstable; urgency=low

  * Don't use sphinxdoc addon when building binary-arch (Closes: #721779).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 06 Nov 2013 11:11:02 +0200

billiard (2.7.3.34-1) unstable; urgency=low

  * New upstream release.
  * Drop versioned Build-Depends on python-all as no prior versions are
    available in Wheezy.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 15 Oct 2013 08:27:52 +0200

billiard (2.7.3.32-2) unstable; urgency=low

  * Move python-sphinx from Build-Depends-Indep to Build-Depends to fix
    FTBFS if only arch independend parts are built (Closes: #721779).
  * Drop libjs-jquery from Build-Depends-Indep as it is not required during
    build.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 04 Sep 2013 11:53:15 +0200

billiard (2.7.3.32-1) unstable; urgency=low

  * New upstream release.
  * Rename "BSD" to "BSD-3-clause" in d/copyright. Thanks to paultag.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 02 Sep 2013 20:03:14 +0200

billiard (2.7.3.31-1) unstable; urgency=low

  [ Michael Fladischer ]
  * Initial release (Closes: #571656)

  [ Thomas Bechtold ]
  * Update package to version 2.7.3.31.
  * Remove debian/pyversions.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 16 Aug 2013 10:18:12 +0200
